diff -urN linux/fs/adfs/super.c linux-2.3.3-droot/fs/adfs/super.c
--- linux/fs/adfs/super.c	Fri Mar 26 21:57:41 1999
+++ linux-2.3.3-droot/fs/adfs/super.c	Sat May 29 09:42:52 1999
@@ -300,7 +300,7 @@
 	 */
 	sb->s_op = &adfs_sops;
 	sb->u.adfs_sb.s_root = adfs_inode_generate(dr->root, 0);
-	sb->s_root = d_alloc_root(iget(sb, sb->u.adfs_sb.s_root), NULL);
+	sb->s_root = d_alloc_root(iget(sb, sb->u.adfs_sb.s_root));
 
 	if (!sb->s_root) {
 		for (i = 0; i < sb->u.adfs_sb.s_map_size; i++)
diff -urN linux/fs/affs/super.c linux-2.3.3-droot/fs/affs/super.c
--- linux/fs/affs/super.c	Sun Mar  7 23:25:23 1999
+++ linux-2.3.3-droot/fs/affs/super.c	Sat May 29 09:41:18 1999
@@ -543,7 +543,7 @@
 	root_inode = iget(s,root_block);
 	if (!root_inode)
 		goto out_no_root;
-	s->s_root  = d_alloc_root(root_inode, NULL);
+	s->s_root  = d_alloc_root(root_inode);
 	if (!s->s_root)
 		goto out_no_root;
 	s->s_root->d_op = &affs_dentry_operations;
diff -urN linux/fs/autofs/inode.c linux-2.3.3-droot/fs/autofs/inode.c
--- linux/fs/autofs/inode.c	Mon Jan 11 23:03:30 1999
+++ linux-2.3.3-droot/fs/autofs/inode.c	Sat May 29 09:41:46 1999
@@ -176,7 +176,7 @@
 	 * Get the root inode and dentry, but defer checking for errors.
 	 */
 	root_inode = iget(s, AUTOFS_ROOT_INO);
-	root = d_alloc_root(root_inode, NULL);
+	root = d_alloc_root(root_inode);
 	pipe = NULL;
 
 	/*
diff -urN linux/fs/coda/inode.c linux-2.3.3-droot/fs/coda/inode.c
--- linux/fs/coda/inode.c	Thu Mar 11 01:03:52 1999
+++ linux-2.3.3-droot/fs/coda/inode.c	Sat May 29 09:42:28 1999
@@ -115,7 +115,7 @@
 	printk("coda_read_super: rootinode is %ld dev %d\n", 
 	       root->i_ino, root->i_dev);
 	sbi->sbi_root = root;
-	sb->s_root = d_alloc_root(root, NULL);
+	sb->s_root = d_alloc_root(root);
 	unlock_super(sb);
 	EXIT;  
         return sb;
diff -urN linux/fs/dcache.c linux-2.3.3-droot/fs/dcache.c
--- linux/fs/dcache.c	Mon Apr 26 07:17:56 1999
+++ linux-2.3.3-droot/fs/dcache.c	Sat May 29 09:39:44 1999
@@ -546,7 +546,7 @@
 	entry->d_inode = inode;
 }
 
-struct dentry * d_alloc_root(struct inode * root_inode, struct dentry *old_root)
+struct dentry * d_alloc_root(struct inode * root_inode)
 {
 	struct dentry *res = NULL;
 
diff -urN linux/fs/devpts/inode.c linux-2.3.3-droot/fs/devpts/inode.c
--- linux/fs/devpts/inode.c	Fri Aug 21 02:33:50 1998
+++ linux-2.3.3-droot/fs/devpts/inode.c	Sat May 29 09:43:22 1999
@@ -162,7 +162,7 @@
 	 * Get the root inode and dentry, but defer checking for errors.
 	 */
 	root_inode = iget(s, 1); /* inode 1 == root directory */
-	root = d_alloc_root(root_inode, NULL);
+	root = d_alloc_root(root_inode);
 
 	/*
 	 * Check whether somebody else completed the super block.
diff -urN linux/fs/efs/super.c linux-2.3.3-droot/fs/efs/super.c
--- linux/fs/efs/super.c	Wed May 19 20:40:12 1999
+++ linux-2.3.3-droot/fs/efs/super.c	Sat May 29 09:43:38 1999
@@ -200,7 +200,7 @@
 	}
 	s->s_op   = &efs_superblock_operations;
 	s->s_dev  = dev;
-	s->s_root = d_alloc_root(iget(s, EFS_ROOTINODE), NULL);
+	s->s_root = d_alloc_root(iget(s, EFS_ROOTINODE));
 	unlock_super(s);
  
 	if (!(s->s_root)) {
diff -urN linux/fs/ext2/super.c linux-2.3.3-droot/fs/ext2/super.c
--- linux/fs/ext2/super.c	Mon Apr 12 18:03:45 1999
+++ linux-2.3.3-droot/fs/ext2/super.c	Sat May 29 09:38:38 1999
@@ -629,7 +629,7 @@
 	 */
 	sb->s_dev = dev;
 	sb->s_op = &ext2_sops;
-	sb->s_root = d_alloc_root(iget(sb, EXT2_ROOT_INO), NULL);
+	sb->s_root = d_alloc_root(iget(sb, EXT2_ROOT_INO));
 	if (!sb->s_root) {
 		sb->s_dev = 0;
 		for (i = 0; i < db_count; i++)
diff -urN linux/fs/fat/inode.c linux-2.3.3-droot/fs/fat/inode.c
--- linux/fs/fat/inode.c	Wed May 19 20:40:12 1999
+++ linux-2.3.3-droot/fs/fat/inode.c	Sat May 29 09:40:37 1999
@@ -650,7 +650,7 @@
 	root_inode->i_ino = MSDOS_ROOT_INO;
 	fat_read_root(root_inode);
 	insert_inode_hash(root_inode);
-	sb->s_root = d_alloc_root(root_inode, NULL);
+	sb->s_root = d_alloc_root(root_inode);
 	if (!sb->s_root)
 		goto out_no_root;
 	if(i>=0) {
diff -urN linux/fs/hfs/super.c linux-2.3.3-droot/fs/hfs/super.c
--- linux/fs/hfs/super.c	Wed May 19 20:40:04 1999
+++ linux-2.3.3-droot/fs/hfs/super.c	Sat May 29 09:42:40 1999
@@ -466,7 +466,7 @@
 	if (!root_inode) 
 		goto bail_no_root;
 	  
-	s->s_root = d_alloc_root(root_inode, NULL);
+	s->s_root = d_alloc_root(root_inode);
 	if (!s->s_root) 
 		goto bail_no_root;
 
diff -urN linux/fs/hpfs/super.c linux-2.3.3-droot/fs/hpfs/super.c
--- linux/fs/hpfs/super.c	Wed May 19 20:40:16 1999
+++ linux-2.3.3-droot/fs/hpfs/super.c	Sat May 29 09:38:52 1999
@@ -527,7 +527,7 @@
 	brelse(bh0);
 
 	hpfs_lock_iget(s, 1);
-	s->s_root = d_alloc_root(iget(s, s->s_hpfs_root), NULL);
+	s->s_root = d_alloc_root(iget(s, s->s_hpfs_root));
 	hpfs_unlock_iget(s);
 	unlock_super(s);
 	if (!s->s_root || !s->s_root->d_inode) {
diff -urN linux/fs/isofs/inode.c linux-2.3.3-droot/fs/isofs/inode.c
--- linux/fs/isofs/inode.c	Wed May 19 20:40:05 1999
+++ linux-2.3.3-droot/fs/isofs/inode.c	Sat May 29 09:37:58 1999
@@ -802,7 +802,7 @@
 	if (!inode->i_op)
 		goto out_bad_root;
 	/* get the root dentry */
-	s->s_root = d_alloc_root(inode, NULL);
+	s->s_root = d_alloc_root(inode);
 	if (!(s->s_root))
 		goto out_no_root;
 
diff -urN linux/fs/minix/inode.c linux-2.3.3-droot/fs/minix/inode.c
--- linux/fs/minix/inode.c	Wed May 19 20:40:05 1999
+++ linux-2.3.3-droot/fs/minix/inode.c	Sat May 29 09:37:44 1999
@@ -266,7 +266,7 @@
 	if (errmsg)
 		goto out_bad_root;
 
-	s->s_root = d_alloc_root(root_inode, NULL);
+	s->s_root = d_alloc_root(root_inode);
 	if (!s->s_root)
 		goto out_iput;
 
diff -urN linux/fs/ncpfs/inode.c linux-2.3.3-droot/fs/ncpfs/inode.c
--- linux/fs/ncpfs/inode.c	Wed May 19 20:40:13 1999
+++ linux-2.3.3-droot/fs/ncpfs/inode.c	Sat May 29 09:40:50 1999
@@ -431,7 +431,7 @@
         if (!root_inode)
 		goto out_no_root;
 	DPRINTK(KERN_DEBUG "ncp_read_super: root vol=%d\n", NCP_FINFO(root_inode)->volNumber);
-        server->root_dentry = sb->s_root = d_alloc_root(root_inode, NULL);
+        server->root_dentry = sb->s_root = d_alloc_root(root_inode);
         if (!sb->s_root)
 		goto out_no_root;
 	server->root_dentry->d_op = &ncp_dentry_operations;
diff -urN linux/fs/nfs/inode.c linux-2.3.3-droot/fs/nfs/inode.c
--- linux/fs/nfs/inode.c	Wed May 19 20:40:05 1999
+++ linux-2.3.3-droot/fs/nfs/inode.c	Sat May 29 09:38:24 1999
@@ -302,7 +302,7 @@
 	root_inode = __nfs_fhget(sb, &fattr);
 	if (!root_inode)
 		goto out_no_root;
-	sb->s_root = d_alloc_root(root_inode, NULL);
+	sb->s_root = d_alloc_root(root_inode);
 	if (!sb->s_root)
 		goto out_no_root;
 	sb->s_root->d_op = &nfs_dentry_operations;
diff -urN linux/fs/nfsd/nfsfh.c linux-2.3.3-droot/fs/nfsd/nfsfh.c
--- linux/fs/nfsd/nfsfh.c	Wed May 19 20:40:13 1999
+++ linux-2.3.3-droot/fs/nfsd/nfsfh.c	Sat May 29 09:41:58 1999
@@ -436,7 +436,7 @@
 		dir = iget(sb, dirino);
 		if (!dir)
 			goto out_root;
-		dentry = d_alloc_root(dir, NULL);
+		dentry = d_alloc_root(dir);
 		if (!dentry)
 			goto out_iput;
 
diff -urN linux/fs/ntfs/fs.c linux-2.3.3-droot/fs/ntfs/fs.c
--- linux/fs/ntfs/fs.c	Sat Apr 24 05:20:38 1999
+++ linux-2.3.3-droot/fs/ntfs/fs.c	Sat May 29 09:43:09 1999
@@ -978,7 +978,7 @@
 
 	ntfs_debug(DEBUG_OTHER, "Getting RootDir\n");
 	/* Get the root directory */
-	if(!(sb->s_root=d_alloc_root(iget(sb,FILE_ROOT),NULL))){
+	if(!(sb->s_root=d_alloc_root(iget(sb,FILE_ROOT)))){
 		ntfs_error("Could not get root dir inode\n");
 		goto ntfs_read_super_mft;
 	}
diff -urN linux/fs/pipe.c linux-2.3.3-droot/fs/pipe.c
--- linux/fs/pipe.c	Wed May 19 20:40:05 1999
+++ linux-2.3.3-droot/fs/pipe.c	Sat May 29 09:36:56 1999
@@ -486,7 +486,7 @@
 	j = error;
 
 	error = -ENOMEM;
-	f1->f_dentry = f2->f_dentry = dget(d_alloc_root(inode, NULL));
+	f1->f_dentry = f2->f_dentry = dget(d_alloc_root(inode));
 	if (!f1->f_dentry)
 		goto close_f12_inode_i_j;
 
diff -urN linux/fs/proc/inode.c linux-2.3.3-droot/fs/proc/inode.c
--- linux/fs/proc/inode.c	Sat May  9 02:10:30 1998
+++ linux-2.3.3-droot/fs/proc/inode.c	Sat May 29 09:37:10 1999
@@ -319,7 +319,7 @@
 	root_inode = proc_get_inode(s, PROC_ROOT_INO, &proc_root);
 	if (!root_inode)
 		goto out_no_root;
-	s->s_root = d_alloc_root(root_inode, NULL);
+	s->s_root = d_alloc_root(root_inode);
 	if (!s->s_root)
 		goto out_no_root;
 	parse_options(data, &root_inode->i_uid, &root_inode->i_gid);
diff -urN linux/fs/qnx4/inode.c linux-2.3.3-droot/fs/qnx4/inode.c
--- linux/fs/qnx4/inode.c	Wed May 19 20:40:05 1999
+++ linux-2.3.3-droot/fs/qnx4/inode.c	Sat May 29 09:42:12 1999
@@ -337,7 +337,7 @@
 	s->u.qnx4_sb.sb_buf = bh;
 	s->u.qnx4_sb.sb = (struct qnx4_super_block *) bh->b_data;
 	s->s_root =
-	    d_alloc_root(iget(s, QNX4_ROOT_INO * QNX4_INODES_PER_BLOCK), NULL);
+	    d_alloc_root(iget(s, QNX4_ROOT_INO * QNX4_INODES_PER_BLOCK));
 	if (s->s_root == NULL) {
 		printk("qnx4: get inode failed\n");
 		goto out;
diff -urN linux/fs/romfs/inode.c linux-2.3.3-droot/fs/romfs/inode.c
--- linux/fs/romfs/inode.c	Sat Apr 24 05:20:38 1999
+++ linux-2.3.3-droot/fs/romfs/inode.c	Sat May 29 09:41:32 1999
@@ -132,7 +132,7 @@
 	brelse(bh);
 
 	s->s_op	= &romfs_ops;
-	s->s_root = d_alloc_root(iget(s, sz), NULL);
+	s->s_root = d_alloc_root(iget(s, sz));
 
 	if (!s->s_root)
 		goto outnobh;
diff -urN linux/fs/smbfs/inode.c linux-2.3.3-droot/fs/smbfs/inode.c
--- linux/fs/smbfs/inode.c	Wed May 19 20:40:13 1999
+++ linux-2.3.3-droot/fs/smbfs/inode.c	Sat May 29 09:39:57 1999
@@ -402,7 +402,7 @@
 	if (!root_inode)
 		goto out_no_root;
 
-	sb->s_root = d_alloc_root(root_inode, NULL);
+	sb->s_root = d_alloc_root(root_inode);
 	if (!sb->s_root)
 		goto out_no_root;
 
diff -urN linux/fs/sysv/inode.c linux-2.3.3-droot/fs/sysv/inode.c
--- linux/fs/sysv/inode.c	Wed May 19 20:40:06 1999
+++ linux-2.3.3-droot/fs/sysv/inode.c	Sat May 29 09:39:06 1999
@@ -503,7 +503,7 @@
 	sb->s_dev = dev;
 	sb->s_op = &sysv_sops;
 	root_inode = iget(sb,SYSV_ROOT_INO);
-	sb->s_root = d_alloc_root(root_inode, NULL);
+	sb->s_root = d_alloc_root(root_inode);
 	if (!sb->s_root) {
 		printk("SysV FS: get root inode failed\n");
 		sysv_put_super(sb);
diff -urN linux/fs/ufs/super.c linux-2.3.3-droot/fs/ufs/super.c
--- linux/fs/ufs/super.c	Mon Apr 12 18:03:45 1999
+++ linux-2.3.3-droot/fs/ufs/super.c	Sat May 29 09:41:06 1999
@@ -746,7 +746,7 @@
 	sb->u.ufs_sb.s_flags = flags;
 	sb->u.ufs_sb.s_swab = swab;
 	 	                                                          
-	sb->s_root = d_alloc_root(iget(sb, UFS_ROOTINO), NULL);
+	sb->s_root = d_alloc_root(iget(sb, UFS_ROOTINO));
 
 
 	/*
diff -urN linux/include/linux/dcache.h linux-2.3.3-droot/include/linux/dcache.h
--- linux/include/linux/dcache.h	Sun May  9 01:56:37 1999
+++ linux-2.3.3-droot/include/linux/dcache.h	Sat May 29 09:43:52 1999
@@ -147,7 +147,7 @@
 extern void free_inode_memory(int);	/* defined in fs/inode.c */
 
 /* only used at mount-time */
-extern struct dentry * d_alloc_root(struct inode * root_inode, struct dentry * old_root);
+extern struct dentry * d_alloc_root(struct inode * root_inode);
 
 /* test whether root is busy without destroying dcache */
 extern int is_root_busy(struct dentry *);
diff -urN linux/net/socket.c linux-2.3.3-droot/net/socket.c
--- linux/net/socket.c	Wed May 19 20:40:09 1999
+++ linux-2.3.3-droot/net/socket.c	Sat May 29 09:44:05 1999
@@ -199,7 +199,7 @@
 			return -ENFILE;
 		}
 
-		file->f_dentry = d_alloc_root(inode, NULL);
+		file->f_dentry = d_alloc_root(inode);
 		if (!file->f_dentry) {
 			put_filp(file);
 			put_unused_fd(fd);
